# Uses of Class
org.apache.lucene.search.uhighlight.FieldHighlighter

Packages that use FieldHighlighter
Package
Description
org.apache.lucene.search.uhighlight
The UnifiedHighlighter -- a flexible highlighter that can get offsets from postings, term vectors, or analysis.

- ## Uses of FieldHighlighter in org.apache.lucene.search.uhighlight

  Methods in org.apache.lucene.search.uhighlight that return FieldHighlighter
  Modifier and Type
  Method
  Description
  `protected FieldHighlighter`
  UnifiedHighlighter.`getFieldHighlighter(String field, Query query, Set<Term> allTerms, int maxPassages)`
  `protected FieldHighlighter`
  UnifiedHighlighter.`newFieldHighlighter(String field, FieldOffsetStrategy fieldOffsetStrategy, BreakIterator breakIterator, PassageScorer passageScorer, int maxPassages, int maxNoHighlightPassages, PassageFormatter passageFormatter, Comparator<Passage> passageSortComparator)`